# x123 Keymap for the Aurora Corne

This keymap is based on many concepts from Dreymar's big bag theory (see https://dreymar.colemak.org/index.html), tweaked a bit for my own preferences and adopted to the Aurora Corne.

## Features

- Supports both QWERTY and COLEMAK layouts
- Layouts switchable on the fly
- Homerow mods can be toggled (very useful for gaming)
- Normal capslock key location has been replaced with backspace for ergonomics. Note that backspace is also placed in it's normal location for the QWERTY layouts (useful for letting others test the keyboard/layout)
- Uses Dreymar's EXTEND for the RAISE layer
- Keeps numbers and symbols on the LOWER layer
- Function keys and quick configuration settings on the oneshot layer
- Designed to use RALT as a compose key, which is accessible via the RAISE layer

### QWERTY

Basic QWERTY with homerow mods enabled.

![QWERTY](https://i.imgur.com/NwIF3zJ.png)

### QWERTY_NOHOMEROW

Basic QWERTY with homerow mods disabled.

![QWERTY_NOHOMEROW](https://i.imgur.com/2C1IGrX.png)

### COLEMAK

COLEMAK with homerow mods enabled.

![COLEMAK](https://i.imgur.com/u5G6YWn.png)

### COLEMAK_NOHOMEROW

COLEMAK with homerow mods disabled.

![COLEMAK_NOHOMEROW](https://i.imgur.com/enSnhcA.png)

### LOWER

LOWER is where numbers and symbols live.

![LOWER](https://i.imgur.com/HabJ4hv.png)

### RAISE

RAISE is basically a direct rip of Dreymar's EXTEND for small keyboards (see the very bottom image on https://dreymar.colemak.org/layers-extend.html). This is where you'll find the arrow keys, navigation keys, mouse controls, and others.

![RAISE](https://i.imgur.com/CtzQdKD.png)

### ONESHOT

ONESHOT is houses the function keys, it also allows quick access to swap between default layers described above as well as issue a QK_BOOT to the keyboard for use when flashing.

![ONESHOT](https://i.imgur.com/cckg75i.png)